Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Class Converter.UpCastingConverter

    java.lang.Object
      net.sf.saxon.type.Converter
          net.sf.saxon.type.Converter.UpCastingConverter

Enclosing class:
  Converter

    public static class Converter.UpCastingConverter

extends Converter

Converter that does nothing except change the type annotation of the value. The caller is responsible for ensuring that this type annotation is legimite, that is, that the value is in the value space of this type

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.type.Converter
`Converter.Base64BinaryToHexBinary, Converter.BooleanToDecimal, Converter.BooleanToDouble, Converter.BooleanToFloat, Converter.BooleanToInteger, Converter.DateTimeToDate, Converter.DateTimeToGDay, Converter.DateTimeToGMonth, Converter.DateTimeToGMonthDay, Converter.DateTimeToGYear, Converter.DateTimeToGYearMonth, Converter.DateTimeToTime, Converter.DateToDateTime, Converter.DecimalToInteger, Converter.DoubleToDecimal, Converter.DoubleToInteger, Converter.DownCastingConverter, Converter.DurationToDayTimeDuration, Converter.DurationToYearMonthDuration, Converter.FloatToDecimal, Converter.FloatToInteger, Converter.HexBinaryToBase64Binary, Converter.IntegerToDecimal, Converter.NotationToQName, Converter.NumericToBoolean, Converter.NumericToDecimal, Converter.NumericToDouble, Converter.NumericToFloat, Converter.NumericToInteger, Converter.PromoterToDouble, Converter.PromoterToFloat, Converter.QNameToNotation, Converter.StringToBase64BinaryConverter, Converter.ToStringConverter, Converter.ToUntypedAtomicConverter, Converter.TwoPhaseConverter, Converter.UpCastingConverter`

Field Summary

Fields inherited from class net.sf.saxon.type.Converter
`BASE64_BINARY_TO_HEX_BINARY, BOOLEAN_TO_DECIMAL, BOOLEAN_TO_DOUBLE, BOOLEAN_TO_FLOAT, BOOLEAN_TO_INTEGER, DATE_TIME_TO_DATE, DATE_TIME_TO_G_DAY, DATE_TIME_TO_G_MONTH, DATE_TIME_TO_G_MONTH_DAY, DATE_TIME_TO_G_YEAR, DATE_TIME_TO_G_YEAR_MONTH, DATE_TIME_TO_TIME, DATE_TO_DATE_TIME, DECIMAL_TO_INTEGER, DOUBLE_TO_DECIMAL, DOUBLE_TO_INTEGER, DURATION_TO_DAY_TIME_DURATION, DURATION_TO_YEAR_MONTH_DURATION, FLOAT_TO_DECIMAL, FLOAT_TO_INTEGER, HEX_BINARY_TO_BASE64_BINARY, IDENTITY_CONVERTER, INTEGER_TO_DECIMAL, NOTATION_TO_QNAME, NUMERIC_TO_BOOLEAN, NUMERIC_TO_DECIMAL, NUMERIC_TO_DOUBLE, NUMERIC_TO_FLOAT, NUMERIC_TO_INTEGER, QNAME_TO_NOTATION, TO_STRING, TO_UNTYPED_ATOMIC`

Constructor Summary
`Converter.UpCastingConverter(AtomicType annotation)`

Method Summary
`ConversionResult` | `convert(AtomicValue input)` Convert an atomic value from the source type to the target type
`boolean` | `isAlwaysSuccessful()` Ask if this converter will always succeed

Methods inherited from class net.sf.saxon.type.Converter
`convert, getConversionRules, getConverter, getNamespaceResolver, isXPath30Conversion, setConversionRules, setNamespaceResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Converter.UpCastingConverter

    public Converter.UpCastingConverter(AtomicType annotation)

Method Detail

### convert

    public ConversionResult convert(AtomicValue input)

  Description copied from class: `Converter`
  Convert an atomic value from the source type to the target type

  Specified by:
    `convert` in class `Converter`
  Parameters:
    `input` - the atomic value to be converted, which the caller guarantees to be of the appropriate type for the converter
  Returns:
    the result of the conversion, as an `AtomicValue`, if conversion succeeds, or a `ValidationFailure` object describing the reasons for failure if conversion is not possible. Note that the ValidationFailure object is not (and does not contain) an exception, because it does not necessarily result in an error being thrown, and creating exceptions on non-failure paths is expensive.

### isAlwaysSuccessful

    public boolean isAlwaysSuccessful()

  Description copied from class: `Converter`
  Ask if this converter will always succeed

  Overrides:
    `isAlwaysSuccessful` in class `Converter`
  Returns:
    true if this Converter will never return a ValidationFailure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.